import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostDeleteGroupMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostDeleteGroupMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostDeleteGroupMessage, ResponseType>({
    mutationKey: chatQueryKeys.deleteGroupMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.deleteGroupMessage(data);
      return response.data;
    }
  });
};
